Subject: [alpine-aports] [PATCH] main/curl: security upgrade to 7.50.2 (CVE-2016-7141)

From: Daniel Sabogal <[email-masked]>
Date: Wed, 7 Sep 2016 19:52:43 -0400

---
 main/curl/APKBUILD | 27 ++++++++++-----------------
 1 file changed, 10 insertions(+), 17 deletions(-)

diff --git a/main/curl/APKBUILD b/main/curl/APKBUILD
index a43112f..d81ec1a 100644
--- a/main/curl/APKBUILD
+++ b/main/curl/APKBUILD
@@ -2,7 +2,7 @@
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=curl
-pkgver=7.50.1
+pkgver=7.50.2
 pkgrel=0
 pkgdesc="An URL retrival utility and library"
 url="http://curl.haxx.se"
@@ -15,6 +15,8 @@ source="http://curl.haxx.se/download/$pkgname-$pkgver.tar.bz2"
 subpackages="$pkgname-doc $pkgname-dev libcurl"
 
 # secfixes:
+#   7.50.2:
+#     - CVE-2016-7141
 #   7.50.1:
 #     - CVE-2016-5419
 #     - CVE-2016-5420
@@ -23,19 +25,10 @@ subpackages="$pkgname-doc $pkgname-dev libcurl"
 #     - CVE-2014-0138
 #     - CVE-2014-0139
 
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -51,8 +44,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
 libcurl() {
@@ -61,6 +54,6 @@ libcurl() {
 	mv "$pkgdir"/usr/lib "$subpkgdir"/usr
 }
 
-md5sums="015f6a0217ca6f2c5442ca406476920b  curl-7.50.1.tar.bz2"
-sha256sums="3c12c5f54ccaa1d40abc65d672107dcc75d3e1fcb38c267484334280096e5156  curl-7.50.1.tar.bz2"
-sha512sums="94acd91fcf8ff2605e1ba2d086c2c366257b61eaf516b9ea44e574e315feb5b30f6e47d89051f259e026ef5dd9edde5f7b15a6af9ee6a38f641da354e1e677b1  curl-7.50.1.tar.bz2"
+md5sums="6e161179f7af4b9f8b6ea21420132719  curl-7.50.2.tar.bz2"
+sha256sums="0c72105df4e9575d68bcf43aea1751056c1d29b1040df6194a49c5ac08f8e233  curl-7.50.2.tar.bz2"
+sha512sums="5db4fba920f1627e545ddf774ceaafe3afce43c85aaa8aa7842337fe6cbc031aa597d9d80457c5d52bc7a0c218de30bb29802383e1d81e3f220186212dade342  curl-7.50.2.tar.bz2"
-- 
2.10.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Daniel Sabogal <[email-masked]>
Date: Wed, 7 Sep 2016 19:52:44 -0400

---
 main/util-linux/APKBUILD | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)

diff --git a/main/util-linux/APKBUILD b/main/util-linux/APKBUILD
index 764fe5db..985b721 100644
--- a/main/util-linux/APKBUILD
+++ b/main/util-linux/APKBUILD
@@ -2,7 +2,7 @@
 # Contributor: Leonardo Arena <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=util-linux
-pkgver=2.28.1
+pkgver=2.28.2
 
 case $pkgver in
 	*.*.*) _v=${pkgver%.*};;
@@ -36,22 +36,18 @@ fi
 makedepends="$makedepends_build $makedepends_host"
 replaces="e2fsprogs util-linux-ng"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
 prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	default_prepare || return 1
+
+	cd "$builddir"
 	cp "$srcdir"/ttydefaults.h include/
 	libtoolize --force && aclocal -I m4 && autoconf \
 		&& automake --add-missing
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 
 	# login utils are provided by shadow (with PAM) or busybox (no PAM) --nenolod
 	./configure \
@@ -75,8 +71,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make -j1 install DESTDIR="$pkgdir"
+	make -j1 DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 	# use pkg-config
 }
 
@@ -173,12 +169,12 @@ _py() {
 	mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
 }
 
-md5sums="e2d863efaf4fd330a42c5efe9f1b02b4  util-linux-2.28.1.tar.xz
+md5sums="46a232a37bce45371a86d19300edc47a  util-linux-2.28.2.tar.xz
 ee12cce6423e6f7ea4c9c438989e77d7  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 6196f1ce853dfaf717569c1e35555d6d  ttydefaults.h"
-sha256sums="3ece4ea4a34ef786b68f5c415e848390424232abd1ee00f7ee5bddc30657b60f  util-linux-2.28.1.tar.xz
+sha256sums="b89d37146f20bede93a42c847bce881a17e6dbd8066ff2db2bee733fa409f0cd  util-linux-2.28.2.tar.xz
 12b6434a229d08c81f45735cac50e9003908f3ad974c59cec93ddf57700077f3  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 46faf1198bd884d12c5d45019a5fec8dfdefeae6721d8c9f3da89921acdb2a6d  ttydefaults.h"
-sha512sums="58f2fdb1db6cf712dc8ca02550d17735cb0b5892b8151f26f5565cdaa6fe008207457c1d5b7d7c2a5b866ee86f4cf423b22911f63328e0ebd5cad7b197b53213  util-linux-2.28.1.tar.xz
+sha512sums="ac1c2d4c92bbc4eabed464cb0334c1d9b21e58df0f07f0b26e7adcfa188879de8632d195b65a4358c5e11e14ac6e09a1c6206265bbf1fab4ce122414bee7e940  util-linux-2.28.2.tar.xz
 ec27d4227f7e0f08198ecf00f4c7da379ed588eb05835c318322bec26841868e51337c5710706237a7a3358aa0db6d4514c8f2444d02b2bd800f1c7f9e9570c2  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 876bb9041eca1b2cca1e9aac898f282db576f7860aba690a95c0ac629d7c5b2cdeccba504dda87ff55c2a10b67165985ce16ca41a0694a267507e1e0cafd46d9  ttydefaults.h"
-- 
2.10.0

---